jQuery(document).on('speedy_form_loaded', function() {
	jQuery( "#speedy_city" ).autocomplete({
		source: function(request, response) {
			var $this = jQuery(this);
			var $element = jQuery(this.element);
			var jqXHR = $element.data('jqXHR');
			if (jqXHR) {
				jqXHR.abort();
			}
			$element.data('jqXHR', jQuery.ajax({
				url: speedy_php_vars.admin_ajax_url,
				dataType: 'json',
				data: {
					action: 'get_cities',
					term: request.term,
					country_id: jQuery('#speedy_country_id').val(),
					abroad: speedy_php_vars.abroad
				},
				complete: function() {
					$this.removeData('jqXHR');
				},
				success: function(data) {
					if (jQuery('#speedy_country_nomenclature').val() == 'FULL') {
						if (data.length) {
							response(data);
						}
					} else {
						response(data);
					}
				},
				error: function(xhr, ajaxOptions, thrownError) {
				}
			}));
		},
		delay: 500,
		minLength: 1,
		select: function(event, ui) {
			if (ui.item) {
				speedy_php_vars.speedy_city = ui.item.value;
				jQuery('#speedy_postcode').val(ui.item.postcode);
				jQuery('#speedy_city_id').val(ui.item.id);
				jQuery('#speedy_city_nomenclature').val(ui.item.nomenclature);
				jQuery('#speedy_quarter').val('');
				jQuery('#speedy_quarter_id').val('');
				jQuery('#speedy_street').val('');
				jQuery('#speedy_street_id').val('');
				jQuery('#speedy_street_no').val('');
				jQuery('#speedy_block_no').val('');
				jQuery('#speedy_entrance_no').val('');
				jQuery('#speedy_floor_no').val('');
				jQuery('#speedy_apartment_no').val('');
				jQuery('#speedy_note').val('');
				jQuery('#speedy_office_id').html('<option value="0">' + speedy_php_vars.message_please_wait + '</option>');

				jQuery.ajax({
					url: speedy_php_vars.admin_ajax_url,
					dataType: 'json',
					data: {
						action: 'get_offices',
						city_id: ui.item.id,
						abroad: speedy_php_vars.abroad,
						country_id: jQuery('#speedy_country_id').val(),
					},
					success: function(data) {
						if (data.error) {
							alert(data.error);
						} else {
							html = '';

							if (data.length) {
								var hasApt = false;
								var hasOffices = false;

								html += '<option value="0">' + speedy_php_vars.message_choose_office + '</option>';
								for (i = 0; i < data.length; i++) {
									html += '<option value="' + data[i]['id'] + '" data-is-apt="' + data[i]['is_apt'] + '">' + data[i]['label'] + '</option>';

									if (data[i]['is_apt'] == 1) {
										hasApt = Boolean(parseInt(speedy_php_vars.speedy_ignore_apt));
									}

									if (data[i]['is_apt'] == 0) {
										hasOffices = true;
									}
								}

								jQuery('#speedy_office_id').html(html);

								if (jQuery('#to_office:hidden').length == 1
									|| (hasApt && jQuery('#speedy_shipping_to_apt:checked'))
									|| (hasOffices && jQuery('#speedy_shipping_to_office:checked'))
								) {
									if (hasApt) {
										jQuery('#speedy_shipping_to_apt').trigger('click');
										speedy_change_to_office(jQuery('#speedy_shipping_to_apt'));
									} else if (hasOffices) {
										jQuery('#speedy_shipping_to_office').trigger('click');
										speedy_change_to_office(jQuery('#speedy_shipping_to_office'));
									}
								}

								jQuery('#speedy_shipping_to_apt').parent().toggle(hasApt);
								jQuery('#speedy_shipping_to_office').parent().toggle(hasOffices);

								jQuery('#to_office').show();
							} else {
								jQuery('#speedy_office_id').html(html);
								jQuery('#speedy_shipping_to_door').trigger('click');
								speedy_change_to_office(jQuery('#speedy_shipping_to_door'));
								hideOffices(jQuery('#to_office input[name=to_office]:checked'));
								jQuery('#to_office').hide();
							}
						}
					},
					error: function(xhr, ajaxOptions, thrownError) {
					}
				});
			}
		},
		change: function(event, ui) {
			if(!ui.item && jQuery('#speedy_country_nomenclature').val() == 'FULL') {
				jQuery('#speedy_city').val('');
				jQuery('#speedy_city_id').val('');
				jQuery('#speedy_city_nomenclature').val('');
				jQuery('#speedy_postcode').val('');
				jQuery('#speedy_office_id').html('<option value="0">' + speedy_php_vars.message_enter_city + '</option>');
			}

			jQuery('#speedy_quarter').val('');
			jQuery('#speedy_quarter_id').val('');
			jQuery('#speedy_street').val('');
			jQuery('#speedy_street_id').val('');
			jQuery('#speedy_street_no').val('');
			jQuery('#speedy_block_no').val('');
			jQuery('#speedy_entrance_no').val('');
			jQuery('#speedy_floor_no').val('');
			jQuery('#speedy_apartment_no').val('');
			jQuery('#speedy_note').val('');
		}
	}).autocomplete( "widget" ).addClass('speedy-autocomplete');

	jQuery('#speedy_city').blur(function() {
		var $this = jQuery(this);
		var jqXHR = jQuery(this).data('jqXHR');
		if (jqXHR) {
			jqXHR.abort();
		}
		$this.removeData('jqXHR');

		if ($this.val() != speedy_php_vars.speedy_city) {
			if (!jQuery('#abroad').val() || (jQuery('#abroad').val() && (jQuery('#speedy_country_nomenclature').val() == 'FULL'))) {
				jQuery('#speedy_city').val('');
				jQuery('#speedy_postcode').val('');
			}
			jQuery('#speedy_shipping_to_door').click();
			jQuery('#to_office').hide();

			jQuery('#speedy_city_id').val('');
			jQuery('#speedy_city_nomenclature').val('');
			jQuery('#speedy_office_id').html('<option value="0">' + speedy_php_vars.message_enter_city + '</option>');
			jQuery('#speedy_quarter').val('');
			jQuery('#speedy_quarter_id').val('');
			jQuery('#speedy_street').val('');
			jQuery('#speedy_street_id').val('');
			jQuery('#speedy_street_no').val('');
			jQuery('#speedy_block_no').val('');
			jQuery('#speedy_entrance_no').val('');
			jQuery('#speedy_floor_no').val('');
			jQuery('#speedy_apartment_no').val('');
			jQuery('#speedy_note').val('');
		}
	});

	jQuery('#speedy_quarter').autocomplete({
		source: function(request, response) {
			var $this = jQuery(this);
			var $element = jQuery(this.element);
			var jqXHR = $element.data('jqXHR');
			if (jqXHR) {
				jqXHR.abort();
			}
			$element.data('jqXHR', jQuery.ajax({
				url: speedy_php_vars.admin_ajax_url,
				dataType: 'json',
				data: {
					action: 'get_quarters',
					term: request.term,
					city_id: function() { return jQuery('#speedy_city_id').val(); },
					abroad: speedy_php_vars.abroad
				},
				complete: function() {
					$this.removeData('jqXHR');
				},
				success: function(data) {
					if (data.error) {
						jQuery('#speedy_quarter').val('');
						jQuery('#speedy_quarter_id').val('');
						alert(data.error);
					} else {
						if (jQuery('#speedy_city_nomenclature').val() == 'FULL') {
							if (data.length) {
								response(data);
							}
						} else {
							response(data);
						}
					}
				},
				error: function(xhr, ajaxOptions, thrownError) {
				}
			}));
		},
		minLength: 1,
		select: function(event, ui) {
			if (ui.item) {
				speedy_php_vars.speedy_quarter = ui.item.value;
				jQuery('#speedy_quarter_id').val(ui.item.id);
			}
		},
		change: function(event, ui) {
			if(!ui.item && jQuery('#speedy_city_nomenclature').val() == 'FULL') {
				jQuery('#speedy_quarter').val('');
				jQuery('#speedy_quarter_id').val('');
			}
		}
	}).autocomplete( "widget" ).addClass('speedy-autocomplete');

	jQuery('#speedy_quarter').blur(function() {
		var $this = jQuery(this);
		var jqXHR = jQuery(this).data('jqXHR');
		if (jqXHR) {
			jqXHR.abort();
		}
		$this.removeData('jqXHR');

		if (($this.val() != speedy_php_vars.speedy_quarter) && (jQuery('#speedy_city_nomenclature').val() == 'FULL')) {
			jQuery('#speedy_quarter').val('');
			jQuery('#speedy_quarter_id').val('');
		}
	});

	jQuery('#speedy_street').autocomplete({
		source: function(request, response) {
			var $this = jQuery(this);
			var $element = jQuery(this.element);
			var jqXHR = $element.data('jqXHR');
			if (jqXHR) {
				jqXHR.abort();
			}
			$element.data('jqXHR', jQuery.ajax({
				url: speedy_php_vars.admin_ajax_url,
				dataType: 'json',
				data: {
					action: 'get_streets',
					term: request.term,
					city_id: function() { return jQuery('#speedy_city_id').val(); },
					abroad: speedy_php_vars.abroad
				},
				complete: function() {
					$this.removeData('jqXHR');
				},
				success: function(data) {
					if (data.error) {
						jQuery('#speedy_street').val('');
						jQuery('#speedy_street_id').val('');
						alert(data.error);
					} else {
						if (jQuery('#speedy_city_nomenclature').val() == 'FULL') {
							if (data.length) {
								response(data);
							}
						} else {
							response(data);
						}
					}
				},
				error: function(xhr, ajaxOptions, thrownError) {
				}
			}));
		},
		minLength: 1,
		select: function(event, ui) {
			if (ui.item) {
				speedy_php_vars.speedy_street = ui.item.value;
				jQuery('#speedy_street_id').val(ui.item.id);
			}
		},
		change: function(event, ui) {
			if(!ui.item && jQuery('#speedy_city_nomenclature').val() == 'FULL') {
				jQuery('#speedy_street').val('');
				jQuery('#speedy_street_id').val('');
			}
		}
	}).autocomplete( "widget" ).addClass('speedy-autocomplete');

	jQuery('#speedy_street').blur(function() {
		var $this = jQuery(this);
		var jqXHR = jQuery(this).data('jqXHR');
		if (jqXHR) {
			jqXHR.abort();
		}
		$this.removeData('jqXHR');

		if (($this.val() != speedy_php_vars.speedy_street) && (jQuery('#speedy_city_nomenclature').val() == 'FULL')) {
			jQuery('#speedy_street').val('');
			jQuery('#speedy_street_id').val('');
		}
	});

	jQuery('#speedy_block_no').autocomplete({
		source: function(request, response) {
			var $this = jQuery(this);
			var $element = jQuery(this.element);
			var jqXHR = $element.data('jqXHR');
			if (jqXHR) {
				jqXHR.abort();
			}
			$element.data('jqXHR', jQuery.ajax({
				url: speedy_php_vars.admin_ajax_url,
				dataType: 'json',
				data: {
					action: 'get_blocks',
					term: request.term,
					city_id: function() { return jQuery('#speedy_city_id').val(); },
					abroad: speedy_php_vars.abroad
				},
				complete: function() {
					$this.removeData('jqXHR');
				},
				success: function(data) {
					if (data.error) {
						jQuery('#speedy_block_no').val('');
						alert(data.error);
					} else {
						response(data);
					}
				},
				error: function(xhr, ajaxOptions, thrownError) {
				}
			}));
		},
		minLength: 1
	}).autocomplete( "widget" ).addClass('speedy-autocomplete');

	jQuery('#speedy_block_no').blur(function() {
		var $this = jQuery(this);
		var jqXHR = jQuery(this).data('jqXHR');
		if (jqXHR) {
			jqXHR.abort();
		}
		$this.removeData('jqXHR');
	});

	jQuery('#speedy_country').autocomplete({
		source: function(request, response) {
			var $this = jQuery(this);
			var $element = jQuery(this.element);
			var jqXHR = $element.data('jqXHR');
			if (jqXHR) {
				jqXHR.abort();
			}
			$element.data('jqXHR', jQuery.ajax({
				url: speedy_php_vars.admin_ajax_url,
				dataType: 'json',
				data: {
					action: 'get_countries',
					term: request.term,
					abroad: speedy_php_vars.abroad
				},
				complete: function() {
					$this.removeData('jqXHR');
				},
				success: function(data) {
					if (data.error) {
						jQuery('#speedy_country').val('');
						jQuery('#speedy_country_id').val('');
						jQuery('#speedy_country_nomenclature').val('');
						jQuery('#speedy_state').val('');
						jQuery('#speedy_state_id').val('');
						alert(data.error);
					} else {
						response(data);
					}
				},
				error: function(xhr, ajaxOptions, thrownError) {
				}
			}));
		},
		minLength: 1,
		select: function(event, ui) {
			if (ui.item) {
				speedy_php_vars.speedy_country = ui.item.value;
				jQuery('#speedy_country').val(ui.item.value);
				jQuery('#speedy_country_id').val(ui.item.id);
				jQuery('#speedy_country_nomenclature').val(ui.item.nomenclature);
				jQuery('#speedy_required_state').val(ui.item.required_state);
				jQuery('#speedy_required_postcode').val(ui.item.required_postcode);
				jQuery('#speedy_active_currency_code').val(ui.item.active_currency_code);

				if (ui.item.required_state) {
					jQuery('#speedy_state_label').addClass('speedy_required');
				} else {
					jQuery('#speedy_state_label').removeClass('speedy_required');
				}

				if (ui.item.required_postcode) {
					jQuery('#speedy_postcode_label').addClass('speedy_required');
				} else {
					jQuery('#speedy_postcode_label').removeClass('speedy_required');
				}
			}
		},
		change: function(event, ui) {
			if (!ui.item) {
				jQuery('#speedy_country').val('');
				jQuery('#speedy_country_id').val('');
				jQuery('#speedy_country_nomenclature').val('');
			}
			jQuery('#speedy_state').val('');
			jQuery('#speedy_state_id').val('');
			jQuery('#speedy_city').val('');
			jQuery('#speedy_city_id').val('');
			jQuery('#speedy_city_nomenclature').val('');
			jQuery('#speedy_postcode').val('');
		}
	}).autocomplete( "widget" ).addClass('speedy-autocomplete');

	jQuery('#speedy_country').blur(function() {
		var $this = jQuery(this);
		var jqXHR = jQuery(this).data('jqXHR');
		if (jqXHR) {
			jqXHR.abort();
		}
		$this.removeData('jqXHR');

		if ($this.val() != speedy_php_vars.speedy_country) {
			$this.val('');
			jQuery('#speedy_country_id').val('');
			jQuery('#speedy_country_nomenclature').val('');
			jQuery('#speedy_state').val('');
			jQuery('#speedy_state_id').val('');
			jQuery('#speedy_city').val('');
			jQuery('#speedy_city_id').val('');
			jQuery('#speedy_city_nomenclature').val('');
			jQuery('#speedy_postcode').val('');
		}

		if (jQuery('#speedy_country_container .wait').length != 0) {
			jQuery('#speedy_country_container .wait').remove();
		}
	});

	jQuery('#speedy_state').autocomplete({
		source: function(request, response) {
			var $this = jQuery(this);
			var $element = jQuery(this.element);
			var jqXHR = $element.data('jqXHR');
			if (jqXHR) {
				jqXHR.abort();
			}
			$element.data('jqXHR', jQuery.ajax({
				url: speedy_php_vars.admin_ajax_url,
				dataType: 'json',
				data: {
					action: 'get_states',
					term: request.term,
					country_id: function() { return jQuery('#speedy_country_id').val(); },
					abroad: speedy_php_vars.abroad
				},
				complete: function() {
					$this.removeData('jqXHR');
				},
				success: function(data) {
					if (data.error) {
						jQuery('#speedy_state').val('');
						jQuery('#speedy_state_id').val('');
						alert(data.error);
					} else {
						response(data);
					}
				},
				error: function(xhr, ajaxOptions, thrownError) {
				}
			}));
		},
		minLength: 1,
		select: function(event, ui) {
			if (ui.item) {
				speedy_php_vars.speedy_state = ui.item.value;
				jQuery('#speedy_state').val(ui.item.value);
				jQuery('#speedy_state_id').val(ui.item.id).change();
			}
		},
		change: function(event, ui) {
			if (!ui.item) {
				jQuery('#speedy_state').val('');
				jQuery('#speedy_state_id').val('');
			}
		}
	}).autocomplete( "widget" ).addClass('speedy-autocomplete');

	jQuery('#speedy_state').blur(function() {
		var $this = jQuery(this);
		var jqXHR = jQuery(this).data('jqXHR');
		if (jqXHR) {
			jqXHR.abort();
		}
		$this.removeData('jqXHR');

		if ($this.val() != speedy_php_vars.speedy_state) {
			jQuery(this).val('');
			jQuery('#speedy_state_id').val('');
		}
	});

	jQuery('#speedy_state_id, #speedy_postcode').on('change', function () {
		if (!jQuery('#country_address_nomenclature').val()
			&& ((jQuery('#speedy_state_id').val() && jQuery('#required_state').val()) || !jQuery('#required_state').val())
			&& ((jQuery('#speedy_postcode').val() && jQuery('#required_postcode').val()) || !jQuery('#required_postcode').val())
		) {
			speedySubmit(false);
		}
	});

	jQuery('#to_office input[name=to_office], #speedy_street_id, #speedy_quarter_id').on('change', function () {
		speedy_change_to_office(this);
	});

	hideOffices(jQuery('#to_office input[name=to_office]:checked'));

	if (speedy_php_vars.speedy_precalculate) {
		if (jQuery(speedy_php_vars.speedy_form_id + ' input, ' + speedy_php_vars.speedy_form_id + ' select').serialize()) {
			speedySubmit(false);
			jQuery(speedy_php_vars.speedy_form_id).change();
		}
	}

	/* disable browser autocomplete */
	var autocompleteDisableFields = '#speedy_city, #speedy_quarter, #speedy_street, #speedy_street_no, #speedy_block_no, #speedy_entrance_no, #speedy_floor_no, #speedy_apartment_no, #speedy_note, #speedy_country, #speedy_state';
	jQuery(document).on('mouseenter', autocompleteDisableFields, function() {
		jQuery(autocompleteDisableFields).attr("autocomplete", "noAutocomplete").parent().css('position', 'relative');
	});
	jQuery(autocompleteDisableFields).attr("autocomplete", "noAutocomplete").parent().css('position', 'relative');
});
// End Autocomplete functions