
if (!jQuery('tr.speedy_row').length) {
	jQuery('tr.speedy_row').insertBefore('tr.shipping');
}

if (jQuery('#payment ul li [name=payment_method]').length) {
	jQuery('[name="speedy_payment_method"]').val(jQuery('#payment ul li [name=payment_method]:checked').val());
}

jQuery(document).on('change', '#payment ul li [name=payment_method]', function(e) {
	if (jQuery('.shipping_method:checked').val() != 'speedy_shipping_method' && jQuery('.shipping_method').length > 1) {
		return;
	}
	jQuery('body').trigger('update_checkout');
});

var selected_shipping_method = typeof selected_shipping_method == 'undefined' ? selected_shipping_method : jQuery('.shipping_method:checked').val();

function reload_billing_fields() {
	if (!speedy_php_vars.remove_repeated_billing_fields) {
		return;
	}

	jQuery.ajax({
		url: speedy_php_vars.admin_ajax_url,
		type: 'POST',
		accepts: "text/html",
		dataType: "html",
		data: {
			action: 'update_billing'
		},
		complete: function(html) {
			jQuery('.woocommerce-billing-fields').parent().html(html.responseText)
			if (jQuery('[name="createaccount"]').length > 0) {
				jQuery('div.create-account').hide();

				jQuery('[name="createaccount"]').change(function() {
					if (jQuery(this).prop('checked')) {
						jQuery('div.create-account').show();
					} else {
						jQuery('div.create-account').hide();
					}
				});
			}
		}
	});
}

jQuery('body').on('updated_checkout', function() {
	var reload = selected_shipping_method == jQuery('.shipping_method:checked').val() ? false : true;
	selected_shipping_method = jQuery('.shipping_method:checked').val();

	if (jQuery('.shipping_method:checked').val() != 'speedy_shipping_method' && jQuery('.shipping_method').length > 1) {
		if (reload) {
			reload_billing_fields();
		}
		return;
	}

	jQuery('[name="speedy_payment_method"]').val(jQuery('#payment ul li [name=payment_method]:checked').val());

	if (reload) {
		reload_billing_fields();
	}
});

function save_data_form() {
	disableNotSelectedSpeedyMethods( false );

	speedy_disabled = jQuery(speedy_php_vars.speedy_form_id + ' input:disabled, ' + speedy_php_vars.speedy_form_id + ' select:disabled');
	speedy_disabled.removeAttr('disabled');

	disableNotSelectedSpeedyMethods();
	var ajaxStart = Date.now();

	jQuery.ajax({
		url: speedy_php_vars.admin_ajax_url,
		type: 'POST',
		data: {
			action: 'speedy_save_data_form',
			data: jQuery(speedy_php_vars.speedy_form_id + ' input, ' + speedy_php_vars.speedy_form_id + ' select').serialize()
		},
		beforeSend: function() {
			jQuery('#place_order').prop('disabled', true);
		},
		complete: function() {
			wait = Date.now() - ajaxStart;
			wait = parseInt(wait / speedy_php_vars.delay_coeff);

			setTimeout(function() {
				jQuery('#place_order').prop('disabled', false);
				jQuery( '.woocommerce-checkout-review-order-table' ).unblock();
				jQuery( 'form.checkout.woocommerce-checkout' ).submit();
			}, wait);
		}
	});

	speedy_disabled.attr('disabled', true);
}

jQuery(document).on('click', '#place_order', function(e) {
	if (jQuery('.shipping_method:checked').val() != 'speedy_shipping_method' && jQuery('.shipping_method').length > 1) {
		return;
	}
	e.preventDefault()
	save_data_form();
});

document.addEventListener('speedy_form_loaded', function(e) {
	reload_billing_fields();

	jQuery(speedy_php_vars.speedy_form_id + ' input').keypress(function(event){
		if ((jQuery('#abroad').val() == 1) && event.key.match(/[а-яА-я]/)) {
			event.preventDefault();
			alert(speedy_php_vars.error_cyrillic);
		}
	});

	jQuery(speedy_php_vars.speedy_form_id + ' input:text').focusout(function(event){
		speedy_clear_input(jQuery(this));
	});

	jQuery(speedy_php_vars.speedy_form_id + ' input:text').each(function(index) {
		speedy_clear_input(jQuery(this));
	});

	setRecalculatedPriceToShippingAmount();
}, false);

function disableNotSelectedSpeedyMethods( disable = true ) {
	jQuery('[name="speedy_shipping_method_id"]:not(:checked)').each(function() {
		jQuery('#speedy_price_' + jQuery(this).val()).prop('disabled', disable);
	});
}

function setRecalculatedPriceToShippingAmount() {
	var checked_speedy_method = jQuery('[name="speedy_shipping_method_id"]:checked');
	var selected_price = jQuery('#speedy_price_' + checked_speedy_method.val()).val();
	var amount = jQuery('.shipping_method:checked').parent().find('.amount');

	if (selected_price != amount.text().replace(amount.find('.woocommerce-Price-currencySymbol').text(), '')) {
		setSpeedyMethod(checked_speedy_method.val(), selected_price, false);
	}
}

function speedySubmit(next) {
	speedy_disabled = jQuery(speedy_php_vars.speedy_form_id + ' input:disabled, ' + speedy_php_vars.speedy_form_id + ' select:disabled');
	jQuery(speedy_php_vars.speedy_form_id + ' :input').removeAttr('disabled');

	jQuery.ajax({
		url: speedy_php_vars.admin_ajax_url,
		type: 'POST',
		data: {
			action: 'speedy_submit_form',
			data: jQuery(speedy_php_vars.speedy_form_id + ' input, ' + speedy_php_vars.speedy_form_id + ' select').serialize()
		},
		dataType: 'json',
		beforeSend: function() {
			jQuery(".speedy_error").remove();

			jQuery( '.woocommerce-checkout-review-order-table' ).block({
				message: speedy_php_vars.message_price_is_calculating,
				overlayCSS: {
					background: '#fff',
					opacity: 0.6
				}
			});
			jQuery( '.woocommerce-checkout-payment' ).block({
				message: null,
				overlayCSS: {
					background: '#fff',
					opacity: 0.6
				}
			});
		},
		complete: function( data ) {
			speedy_disabled.attr('disabled', true);
		},
		success: function(data) {
			jQuery('#speedy_methods').html('');

			if (data.status == false) {
				if (jQuery('.woocommerce-error.speedy_error').length == 0) {
					jQuery.each(data.error, function(i) {
						if (jQuery('#speedy_form').length == 0) {
							var err_container = jQuery('#speedy_client_table');
						} else {
							var err_container = jQuery('#speedy_form');
						}

						err_container.prepend( '<ul class="woocommerce-error speedy_error">' + data.error[i] + '</ul>' );
					});
				}

				add_offset = 0;
				if (jQuery('#wpadminbar').length != 0) {
					add_offset = jQuery('#wpadminbar').height();
				}

				setTimeout(() => {
					if (jQuery(speedy_php_vars.speedy_form_id).length) {
						jQuery('html, body').animate({
							scrollTop: jQuery(speedy_php_vars.speedy_form_id).offset().top - add_offset
						}, 500);
					}
				}, 500);

				jQuery(speedy_php_vars.speedy_form_id + ' :input :disabled').attr('disabled', true);
				jQuery( '.woocommerce-checkout-review-order-table' ).unblock();
				jQuery( '.woocommerce-checkout-payment' ).unblock();
			} else {
				jQuery('#speedy_compare_address_warning').hide();
				if (!speedy_php_vars.abroad) {
					jQuery('#speedy_postcode').attr('disabled', 'disabled');
				}

				if (data.methods) {
					html = "<table><tr><td colspan=\"3\">" + speedy_php_vars.message_choose_service + "</td></tr>";

					if (data.methods.length) {
						for (i = 0; i < data.methods.length; i++) {
							html += '<tr>';
							html += '  <td>';
							html += '    <input type="radio" name="speedy_shipping_method_id" id="speedy.'+data.methods[i]['code']+'" value="'+data.methods[i]['code']+'" ';
							if (data.shipping_method_id == data.methods[i]['code']) {
								html += 'checked="checked"';
							}

							html += ' /> <label for="speedy.'+data.methods[i]['code']+'">'+data.methods[i]['title']+'</label><br /> <input type="hidden" name="shipping_method_cost" id="speedy_price_'+data.methods[i]['code']+'" value="'+data.methods[i]['cost']+'" disabled="disabled" /> ';

							if (data.methods[i]['total_form'].length) {
								html += '  <table ';
								if (data.shipping_method_id != data.methods[i]['code']) {
									html += 'style="display: none;"';
								}
								html += ' class="speedy_'+data.methods[i]['code']+' speedy_table">';
								for (j = 0; j< data.methods[i]['total_form'].length; j++) {
								html += '    <tr>';
								html += '      <td>'+data.methods[i]['total_form'][j]['label']+'</td>';
								html += '      <td>'+data.methods[i]['total_form'][j]['value']+'</td>';
								html += '    </tr>';
								}
								html += '  </table>';
							}

							html += '</td>';
							html += '<td class="right speedy_table_right">'+data.methods[i]['text']+'</td></tr>';
						}
					} else {
						html += "<tr><td colspan=\"3\">" + speedy_php_vars.message_no_services_found + "</td></tr>";
					}

					html += '</table>';

					jQuery('#speedy_methods').html(html);
					jQuery('#speedy_methods').show();

					if (data.methods.length == 1) {
						jQuery('input[name=\'speedy_shipping_method_id\']:first').prop('checked', 1);
					}

					jQuery('input[name=\'speedy_shipping_method_id\']:checked').trigger('change');

					if (jQuery('input#changed_data').val() == 1) {
						setSpeedyMethod(jQuery('input[name=\'speedy_shipping_method_id\']:checked').val(), jQuery('#speedy_price_' + jQuery('input[name=\'speedy_shipping_method_id\']:checked').val()).val(), false);
					} else {
						jQuery(speedy_php_vars.speedy_form_id + ' :input :disabled').attr('disabled', true);
						jQuery( '.woocommerce-checkout-review-order-table' ).unblock();
						jQuery( '.woocommerce-checkout-payment' ).unblock();
					}
				}

				setRecalculatedPriceToShippingAmount();
				jQuery('#price-not-calculated').remove();

				speedy_disabled.attr('disabled', true);
			}
		},
		error: function(xhr, ajaxOptions, thrownError) {
		}
	});
}

jQuery(document).on('change', 'input[name=\'speedy_shipping_method_id\']', function () {
	if (jQuery(this).is(':checked')) {
		setSpeedyMethod(jQuery(this).val(), jQuery('#speedy_price_' + jQuery(this).val()).val(), true);
	}
});

function speedyCheckFixedTime() {
	if (jQuery('#speedy_fixed_time_cb:checked').length) {
		jQuery('#speedy_fixed_time_hour').removeAttr('disabled');
		jQuery('#speedy_fixed_time_min').removeAttr('disabled');
	} else {
		jQuery('#speedy_fixed_time_hour').attr('disabled', 'disabled');
		jQuery('#speedy_fixed_time_min').attr('disabled', 'disabled');
	}
}

function setSpeedyMethod(method_id, price, block) {
	if (method_id) {
		var ajaxStart = Date.now();

		jQuery.ajax({
			url: speedy_php_vars.admin_ajax_url,
			type: 'POST',
			data: {
				action: 'set_speedy_method',
				method_id: encodeURIComponent(method_id),
				method_price: encodeURIComponent(price)
			},
			dataType: 'json',
			beforeSend: function() {
				jQuery('#place_order').prop('disabled', true);
				if (block) {
					jQuery( '.woocommerce-checkout-review-order-table' ).block({
						message: null,
						overlayCSS: {
							background: '#fff',
							opacity: 0.6
						}
					});
					jQuery( '.woocommerce-checkout-payment' ).block({
						message: null,
						overlayCSS: {
							background: '#fff',
							opacity: 0.6
						}
					});
				}
			},
			complete: function( data ) {
				jQuery( '.woocommerce-checkout-review-order-table' ).unblock();
				jQuery( '.woocommerce-checkout-payment' ).unblock();
				wait = Date.now() - ajaxStart;
				wait = parseInt(wait / speedy_php_vars.delay_coeff);

				setTimeout(function() {
					jQuery('#place_order').prop('disabled', false);
				}, wait);
			},
			success: function(json) {
				jQuery('table.speedy_table').hide();
				jQuery('table.speedy_' + method_id).show();

				jQuery( '.order-total' ).find( 'strong .amount' ).html(json.new_total);

				var speedy_price = jQuery('#shipping_method li').has('input[value=speedy_shipping_method]');

				if (speedy_price.length == 0) {
					speedy_price = jQuery('[data-title="Доставка"]');
				}

				label = speedy_price.text();
				jQuery(speedy_price).contents().filter(function() {
					return this.nodeType == 3; //Node.TEXT_NODE
				}).remove();

				if (speedy_price.find('.amount').length == 0) {
					if (speedy_price.find('label').length) {
						speedy_price.find('label').after('<span class="woocommerce-Price-amount amount"></span>');
					} else {
						speedy_price.find('.shipping_method').before('<label>' + label + '</label>')
					}
				}

				if (speedy_price.find('.amount').length == 0) {
					speedy_price.find('label').after('<span class="woocommerce-Price-amount amount"></span>');
				}

				if ( json.woocommerce_shipping_method_format == 'select' ) {
					jQuery('select.shipping_method :selected').html(json.price_text);
				} else {
					speedy_price.find('label').html(json.shipping_title);

					if (speedy_price.find('.amount').length == 0) {
						speedy_price.find('label').after('<span class="woocommerce-Price-amount amount"></span>');
					}

					speedy_price.find('.amount').not('small').html(json.price_text);
				}
			},
			error: function(xhr, ajaxOptions, thrownError) {
			}
		});
	} else {
		jQuery( '.woocommerce-checkout-review-order-table' ).unblock();
		jQuery( '.woocommerce-checkout-payment' ).unblock();
	}
}

function speedySetFixedTime() {
	if (jQuery('#speedy_fixed_time_hour').val() == 10) {
		min_fixed_time_mins = 30;
	} else {
		min_fixed_time_mins = 0;
	}

	if (jQuery('#speedy_fixed_time_hour').val() == 17) {
		max_fixed_time_mins = 30;
	} else {
		max_fixed_time_mins = 59;
	}

	html = '';

	for (i = min_fixed_time_mins; i <= max_fixed_time_mins; i++) {
		iStr = i.toString();

		if (iStr.length < 2) {
			fixed_time_min = '0' + i;
		} else {
			fixed_time_min = i;
		}

		html += '<option value="' + fixed_time_min + '">' + fixed_time_min + '</option>';
	}

	jQuery('#speedy_fixed_time_min').html(html);
}

function speedy_clear_input(element) {
	if ((jQuery('#abroad').val() == 1) && element.val().match(/[а-яА-я]/)) {
		element.val('');
	}
}

function speedy_change_to_office(element) {
	hideOffices(element);

	if (jQuery(element).attr('data-is-apt') == 1) {
		jQuery('#speedy_office_id option[value=0]').text(speedy_php_vars.message_choose_apt);
	} else {
		jQuery('#speedy_office_id option[value=0]').text(speedy_php_vars.message_choose_office);
	}

	jQuery('#speedy_office_id').val(0);

	speedySubmit(false);
}

function iOS() {
  return [
    'iPad Simulator',
    'iPhone Simulator',
    'iPod Simulator',
    'iPad',
    'iPhone',
    'iPod'
  ].includes(navigator.platform)
  // iPad on iOS 13 detection
  || (navigator.userAgent.includes("Mac") && "ontouchend" in document)
}

function hideOffices(speedy_radio) {
	var hasApt = false;
	var hasOffices = false;

	if (jQuery(speedy_radio).val() == 1) {
		jQuery('#is_apt').val(jQuery(speedy_radio).attr('data-is-apt'));

		jQuery('#speedy_quarter_container, #speedy_street_container, #speedy_block_no_container, #speedy_note_container').hide();
		jQuery('#speedy_office_container').show();
	} else {
		jQuery('#is_apt').val(0);

		jQuery('#speedy_quarter_container, #speedy_street_container, #speedy_block_no_container, #speedy_note_container').show();
		jQuery('#speedy_office_container').hide();
	}

	jQuery('#speedy_office_id option').each(function() {
		if (jQuery(this).val() == 0) {
			return;
		}

		if ((jQuery(this).attr('data-is-apt') == 1 && jQuery(speedy_radio).attr('data-is-apt') != 1)
			|| (jQuery(this).attr('data-is-apt') != 1 && jQuery(speedy_radio).attr('data-is-apt') == 1)
		) {
			if( !(jQuery(this).parent().is('span')) && iOS()) {
				jQuery(this).wrap('<span>');
			}
			jQuery(this).hide();
		} else {
			if( (jQuery(this).parent().is('span'))  && iOS()) {
				jQuery(this).unwrap();
			}
			jQuery(this).show();
		}

		if (jQuery(this).attr('data-is-apt') == 1) {
			hasApt = true;
		} else {
			hasOffices = true;
		}
	});

	jQuery('#speedy_shipping_to_apt, [for=speedy_shipping_to_apt]').toggle(hasApt);
	jQuery('#speedy_shipping_to_office, [for=speedy_shipping_to_office]').toggle(hasOffices);
}

function str_pad(input, pad_length, pad_string, pad_type) {
	  // From: http://phpjs.org/functions
	  // +   original by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
	  // + namespaced by: Michael White (http://getsprink.com)
	  // +      input by: Marco van Oort
	  // +   bugfixed by: Brett Zamir (http://brett-zamir.me)
	  // *     example 1: str_pad('Kevin van Zonneveld', 30, '-=', 'STR_PAD_LEFT');
	  // *     returns 1: '-=-=-=-=-=-Kevin van Zonneveld'
	  // *     example 2: str_pad('Kevin van Zonneveld', 30, '-', 'STR_PAD_BOTH');
	  // *     returns 2: '------Kevin van Zonneveld-----'
	  var half = '',
		pad_to_go;

	  var str_pad_repeater = function (s, len) {
		var collect = '',
		  i;

		while (collect.length < len) {
		  collect += s;
		}
		collect = collect.substr(0, len);

		return collect;
	  };

	  input += '';
	  pad_string = pad_string !== undefined ? pad_string : ' ';

	  if (pad_type !== 'STR_PAD_LEFT' && pad_type !== 'STR_PAD_RIGHT' && pad_type !== 'STR_PAD_BOTH') {
		pad_type = 'STR_PAD_RIGHT';
	  }
	  if ((pad_to_go = pad_length - input.length) > 0) {
		if (pad_type === 'STR_PAD_LEFT') {
		  input = str_pad_repeater(pad_string, pad_to_go) + input;
		} else if (pad_type === 'STR_PAD_RIGHT') {
		  input = input + str_pad_repeater(pad_string, pad_to_go);
		} else if (pad_type === 'STR_PAD_BOTH') {
		  half = str_pad_repeater(pad_string, Math.ceil(pad_to_go / 2));
		  input = half + input + half;
		  input = input.substr(0, pad_length);
		}
	  }

	  return input;
}